package com.pancik.libgdx.zumpatalentov.engine.building;

import com.badlogic.gdx.math.Vector2;
import com.pancik.libgdx.zumpatalentov.engine.player.Player;

public abstract class BaseBuilding extends BuildingEntity {
    public BaseBuilding(Vector2 pos, Vector2 size, int team, Player owner) {
        super(pos, size, team, owner);
    }
    
    public abstract boolean hitsBuilding(int x, int y);
    public abstract void forceRemove();
    public abstract boolean showSellMenu();
}
