package com.pancik.libgdx.zumpatalentov.engine.ui.window;

import com.badlogic.gdx.graphics.Color;
import com.pancik.libgdx.zumpatalentov.ui.ButtonHorizontalAlignment;
import com.pancik.libgdx.zumpatalentov.ui.ButtonVerticalAlignment;
import com.pancik.libgdx.zumpatalentov.util.RenderUtils;

public class WonWindow extends Window {
    public WonWindow(String topText, String bottomText) {
        super(ButtonHorizontalAlignment.MIDDLE, 0, ButtonVerticalAlignment.MIDDLE, 0, 400, 130);
        
        this.uiElements.add(new WindowText(ButtonHorizontalAlignment.MIDDLE, 0,
                ButtonVerticalAlignment.TOP, 40,
                topText,
                RenderUtils.TextAlligment.MIDDLE, RenderUtils.TextAlligment.BOTTOM, Color.RED));
        
        this.uiElements.add(new WindowText(ButtonHorizontalAlignment.MIDDLE, 0,
                ButtonVerticalAlignment.TOP, 70,
                bottomText,
                RenderUtils.TextAlligment.MIDDLE, RenderUtils.TextAlligment.BOTTOM));
    }

    @Override
    protected void windowTick(float mousePosX, float mousePosY) {
    }

    @Override
    protected void windowRender(int windowX, int windowY, int sizeX, int sizeY) {
    }
}
