package com.pancik.libgdx.zumpatalentov.starters;

import com.badlogic.gdx.Files;
import com.badlogic.gdx.backends.lwjgl.LwjglApplication;
import com.badlogic.gdx.backends.lwjgl.LwjglApplicationConfiguration;
import com.pancik.libgdx.zumpatalentov.MainApplicationListener;

public class WindowsStarter {
    public static void main(String[] args) {
        LwjglApplicationConfiguration config = new  LwjglApplicationConfiguration();
        config.width = 800;
        config.height = 480;
        config.title = "Mutation Madness";
        config.useGL20 = false;
        
        config.addIcon("data/drawable/icon/launcher/128x128.png", Files.FileType.Internal);
        config.addIcon("data/drawable/icon/launcher/32x32.png", Files.FileType.Internal);
        config.addIcon("data/drawable/icon/launcher/16x16.png", Files.FileType.Internal);
        
        new LwjglApplication(new MainApplicationListener(), config);
        //new LwjglApplication(new MainApplicationListener(), "Zumpa Talentov", 800, 480, false);
    }
}